Bug 249251 - Review Request: hardinfo - System Profiler and Benchmark
Review Request: hardinfo - System Profiler and Benchmark
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-23 06:15 EDT by Adel Gadllah
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 04:06:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2007-07-23 06:15:42 EDT
Spec URL: http://tgmweb.at/gadllah/hardinfo.spec
SRPM URL: http://tgmweb.at/gadllah/hardinfo-0.4.2.2-1.fc7.src.rpm
Description: 
HardInfo can gather information about a system's hardware and operating system,
perform benchmarks, and generate printable reports either in HTML or in plain 
text formats.
Comment 1 Adel Gadllah 2007-07-23 08:17:45 EDT
Fixed a bug in the package (detection of "human users"):
New URLs:
http://tgmweb.at/gadllah/hardinfo.spec
http://tgmweb.at/gadllah/hardinfo-0.4.2.2-2.fc7.src.rpm
Comment 2 manuel wolfshant 2007-07-23 08:36:57 EDT
ackage Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: x86_64
 [x] Rpmlint output:none
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: e3ec42cdb5ee03b002aa071d418f951579998408 
/home/wolfy/hardinfo-0.4.2.2.tar.bz2
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F7/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:F7/x86_64, devel/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

NOTES
I would have used a simple sed over the source file (rather than a full blown
patch) to fix the start UID of the normal users, but your approach is perfectly
fine.


================
*** APPROVED ***
================
Comment 3 Adel Gadllah 2007-07-23 09:03:51 EDT
thx for the review.
>NOTES
>I would have used a simple sed over the source file (rather than a full blown
>patch) to fix the start UID of the normal users, but your approach is perfectly
>fine.

I somehow prefer patches don't ask me why ;)

Comment 4 Adel Gadllah 2007-07-23 09:05:28 EDT
New Package CVS Request
=======================
Package Name: hardinfo
Short Description: System Profiler and Benchmark
Owners: adel.gadllah@gmail.com
Branches: FC-6 F-7
Comment 5 manuel wolfshant 2007-08-12 19:52:38 EDT
Adel, I see the package was sucessfully built, so I guess you should close this bug

Note You need to log in before you can comment on or make changes to this bug.